Subject: bug#43748: 28.0.50; M-x shell: there is no completion after cd ..

From: Jean Louis <[email-masked]>
Date: Thu, 1 Oct 2020 22:15:50 +0300

* Eli Zaretskii <[email-masked]> [2020-10-01 20:29]:
> > From: Jean Louis <[email-masked]>
> > Date: Thu, 01 Oct 2020 19:50:45 +0300
> > 
> > 
> > I have noticed that there is no completion in M-x shell after I do the
> > cd ..
> > 
> > Example:
> > 
> > cd t<TAB> will give me: cd tmp
> > 
> > then I am in ~/tmp directory, then I do: cd ..
> > 
> > then if I wish to do again cd t<TAB>, there is "no match" notification.
> 
> Works here.
> 
> I'm quite sure this is something specific to your system's
> configuration, symlinks, etc.  It is not a general problem.

I have found out that if I delete the CDPATH variable, before starting
emacs -Q, then this is not taking place. You probably have

My CDPATH is as following:

"./:~:/home/data1/protected/Work/3rd-Dynamic/Corporation/Division_4/Dept_10/Company Formation"

And it works well in bash without Emacs, not in M-x shell.

So if I do not have CDPATH, it works well, but if I do have, it does
not work.

Still a bug. It should work.